<?php
/* This script takes a form posted to it using $_POST and creates and sends an email using the php class phpmailer from http://phpmailer.worxware.com/

   ##########
   Written by Steven Byrd -- http://byrdsoft.com/
   Version: 0.7
   ##########
  
   Requirements: * phpmailer from http://phpmailer.worxware.com/
                 * SMTP Authentication and SMTP Server 
                 * Form to post from -- can be any HTML form, swf form, etc as long it uses the POST method

          Usage: * Create a HTML or other form and in the action put the URL for this script and use method of POST.
                 * Change Configuration below
                 * Have the following fields on the form -- NAME EXACTLY AS SHOWN:
                       * name -- for the sender's name
                       * email - for the sender's email
                       * Subject -- optional -- Subject of message
                 * The script will post ALL fields in the form  
                 * Place phpmailer folder in folder where this script and call it and change configuration below            
/* ###########################
             CONFIG
##############################*/

// Following should be the path (relative or absolute) to the phpmailer's class.phpmailer.php file.  DEFAULT SHOULD BE FINE
$phpMailerPath = "phpMailer/class.phpmailer.php";
$UsereCaptcha = true;
$reCaptchaPrivateKey = "";
$Thanks_Page = "http://www.domain.com/thanks.html"; // Page saying thanks for sending mail.... shoudl be complete URL
$Error_Page = "http://www.domain.com/error.php";

// #####  SMTP SETTINGS
$SMTP_user = "user@example.com"; // SMTP username -- usually your full email addresss
$SMTP_pass = "password";  // SMTP user's password
$SMTP_host = "mail.domain.com"; // SMTP host -- outgoing server address - uusally mail.domain.com where domain.com is the real domain.
$SMTP_port = "465"; // SMTP port -- 465 (SSL), 587 (submission), and 25 are all standard ports
$SMTP_fromName = "Your_name"; // The from name.  Form must have field named "name" else this will be blank
$SMTP_fromAddr = "you@domain.com"; // The from Address -- Form MUST have field named "email" else this will be blank

$SMTP_toAddr = "postmaster@domain.com" ; // This is YOUR email address
$SMTP_toName = "Test";  // Your name, can be anything

$SMTP_replyTo = $_POST['email']; // The address to reply to - the form poster's
//######

$Subject = "Message from site " . $_SERVER['SERVER_NAME']; // This is the subject of the email.  If form has field of "Subject" that will be used instead of this 

$Debug = false; // set to true if you want to show detailed errors.
/*##########################################
      Config END, no more editing needed
-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/ 

/* Check for POST items, if none don't send */
if (!isset($_POST) or isset($_POST) AND empty($_POST) )
{
    header("Location: ". $Thanks_Page); exit;// Redirect to thanks page
}

// 
if ($UsereCaptcha)
{
  require_once('recaptcha/recaptchalib.php');
  $resp = recaptcha_check_answer ($reCaptchaPrivateKey,
                                $_SERVER["REMOTE_ADDR"],
                                $_POST["recaptcha_challenge_field"],
                                $_POST["recaptcha_response_field"]);

  if (!$resp->is_valid) {
    // What happens when the CAPTCHA was entered incorrectly
    header("Location: ". $Error_Page."?error=captcha"); exit; // Redirect to error page
  } 
}    
      
include_once($phpMailerPath);
// Check if class is there
if (!class_exists(PHPMailer))
{echo "PHP mailer class not found!"; exit;}
//###


$mail = new PHPMailer();
if (!$mail)
{echo "Could not make new mail object!"; exit;}
//#####


$mail->IsSMTP(); // telling the class to use SMTP
$mail->Host     = $SMTP_host; // SMTP server
$mail->SMTPAuth = true;     // turn on SMTP authentication
if ($SMTP_port == "465")
    $mail->SMTPSecure = 'ssl'; // Use SSL to connect
$mail->Port = $SMTP_port; // SMTP port
$mail->Username = $SMTP_user;  // SMTP username
$mail->Password = $SMTP_pass; // SMTP password
$mail->From     = $SMTP_fromAddr; // From email address
if (isset($_POST['name']) AND !empty($_POST['name']))
    $mail->FromName = $_POST['name'];
else
    $mail->FromName = $SMTP_fromName; // From Name

$mail->AddReplyTo($SMTP_replyTo,$SMTP_replyTo); // Reply to

// Subject of message
if (isset($_POST['Subject']) AND !empty($_POST['Subject']))
    $mail->Subject = $_POST['Subject'] ;
else    
    $mail->Subject = $Subject ;

// Get POST contents
foreach($_POST as $var => $key)
{
    $Body .= $var . ": " . $key . "\n\r\n\r";
}

// Put in tracking info 
$Body .= "Sent at: " . date(DATE_RFC822, $_SERVER['REQUEST_TIME']) . " by IP " . $_SERVER['REMOTE_ADDR'] . " at web server" . $_SERVER['SERVER_NAME'] . "->" .  $_SERVER['PHP_SELF'] ." and refered by ".$_SERVER['HTTP_REFERER'];

$mail->Body = $Body;  // Set Body of message

$mail->AddAddress($SMTP_toAddr, $SMTP_toName); // Add to address

//####   SEND MESSAGE   #####
if( !$mail->Send() ) 
{
    // Message Failed to send, look at $mail->ErrorInfo on page.
  ?>
  <p>I'm sorry, there was an error in sending your message.</p>
  <?
  // Add debug info
  if ($Debug)
  {?>
      <p><?=$mail->ErrorInfo;?></p>
  <?}

} 
else 
{
    header("Location: ". $Thanks_Page); // Redirect to thanks page
}

?>
